InertiaSDK

Loading...
Searching...
No Matches
Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
inertia::LogWriterCSVSettings Struct Reference

LogWriter CSV Settings. More...

`#include <LogSettings.h>`

Collaboration diagram for inertia::LogWriterCSVSettings:
[legend]

## Public Member Functions
| LogWriterCSVSettings ()
| LogWriterCSVSettings (const bool perNode, const unsigned includeInfo, const LogColumns &columns, const bool usePrevious, const bool interpolateMissingSample, const bool onlyValidTimestamps, const bool onlyWithSamples)
| LogWriterCSVSettings (std::wstring const &argString)
const std::wstring | ToString () const

## Static Public Member Functions
static const po::options_description | GetOptionDescription ()

## Public Attributes
bool | perNode
| Enable to create a separate CSV file for each node.
unsigned | includeInfo
| Add information (description, configurations) to the beginning of the file: 0 = nothing, 1 = with simple config, 2 = with advanced config.
LogColumns | columns
| The data to include in the CSV file. Note that GPS will be logged in a separate file with '-gps' post-fix.
bool | usePrevious
| When data for a sensor is missing, repeat the previous value.
bool | interpolateMissingSample
| When there is 1 lost sample, try to fill it by interpolating it.
bool | onlyValidTimestamps
| Only include samples with valid timestamps.
bool | onlyWithSamples
| Only include samples with at least 1 sensor value.
bool | includeAllConfigurations
| Add configuration information within the logfile to the file (not only at the beginning). includeInfo should be enabled as well.

## Detailed Description

LogWriter CSV Settings.

Struct containing specific information for creating a Comma Separated Values (CSV) file. Information lines are prepended with a '#'.

## Constructor & Destructor Documentation

## ◆ LogWriterCSVSettings() [1/3]

inertia::LogWriterCSVSettings::LogWriterCSVSettings | ( |  | ) |

Default constructor.

## ◆ LogWriterCSVSettings() [2/3]

inertia::LogWriterCSVSettings::LogWriterCSVSettings | ( | const bool | perNode,
|  | const unsigned | includeInfo,
|  | const LogColumns & | columns,
|  | const bool | usePrevious,
|  | const bool | interpolateMissingSample,
|  | const bool | onlyValidTimestamps,
|  | const bool | onlyWithSamples )

Constructor with individual arguments.

Parameters

  perNode | enable one file per node
  includeInfo | include information
  columns | data to include
  usePrevious | repeat previous value
  interpolateMissingSample | interpolate a missing sample
  onlyValidTimestamps | only include samples with valid timestamps
  onlyWithSamples | only include samples with sensor data

## ◆ LogWriterCSVSettings() [3/3]

inertia::LogWriterCSVSettings::LogWriterCSVSettings | ( | std::wstring const & | argString | ) |

Constructor with string argument. Creates LogWriterCSVSettings from a string.

Parameters

  argString | string with arguments

## Member Function Documentation

## ◆ GetOptionDescription()

const po::options_description inertia::LogWriterCSVSettings::GetOptionDescription | ( |  | ) |
| static

Get the possible command-line arguments for LogWriterCSVSettings. Only available when WITH_BOOST_PROGRAM_OPTIONS is defined.

Returns
  the option description

## ◆ ToString()

const std::wstring inertia::LogWriterCSVSettings::ToString | ( |  | ) | const

Get a string representation of this LogWriterCSVSettings. The string is compatible with GetOptionDescription() and LogWriterCSVSettings(std::wstring const&).

Returns
  the string

The documentation for this struct was generated from the following file:

- LogSettings.h